LicenseHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.module.boot.LicenseHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.boot
Class LicenseHandler

    java.lang.Object
      org.mule.module.boot.LicenseHandler

    public final class LicenseHandler

extends Object

This class has methods for displaying the EULA and saving the license acceptance acknowledgment.

Nested Class Summary
`static class` | `LicenseHandler.LicenseInfo`

Method Summary
`static boolean` | `getAcceptance()` Display the EULA and get the user's acceptance.
`static File` | `getLicenseFile()`
`static boolean` | `isLicenseAccepted()`
`static void` | `saveLicenseInfo(LicenseHandler.LicenseInfo licenseInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isLicenseAccepted

    public static boolean isLicenseAccepted()
                                     throws Exception

  Throws:
    `Exception`

### getLicenseFile

    public static File getLicenseFile()

### getAcceptance

    public static boolean getAcceptance()

  Display the EULA and get the user's acceptance. Note that only a missing license file or a non-yes answer will cause this to return false. If the user accepts, but we can't write the license ack file for some reason, we'll still return true.

  Returns:
    boolean whether the license was accepted or not

### saveLicenseInfo

    public static void saveLicenseInfo(LicenseHandler.LicenseInfo licenseInfo)
                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.